import request from '@/utils/request'

export function list(params) {
  return request({
    url: '/api/admin/deal/index',
    method: 'get',
    params:params
  })
}

export function store(data) {
  return request({
    url: '/api/admin/deal/store',
    method: 'post',
    data
  })
}

export function save(data) {
  return request({
    url: '/api/admin/deal/save',
    method: 'post',
    data
  })
}

export function del(id) {
  return request({
    url: '/api/admin/deal/destroy',
    method: 'get',
    params: {
      id
    }
  })
}

export function get(id) {
  return request({
    url: '/api/admin/deal/show',
    method: 'get',
    params: {
      id
    }
  })
}

